local vox_model   = require 'vox_model'
local vox_texture = require 'vox_texture'

local texture

function love.load()
  local model = vox_model.new(love.filesystem.read('models/chr_knight.vox'))
  texture = vox_texture.new(model)
end

function love.draw()
  love.graphics.clear(255,255,255)
  love.graphics.draw(texture.canvas, 0, 0)
end

function love.keypressed(key)
  if key == 'escape' then love.event.quit() end
end
